org.apache.hc.core5.http.impl.io

## Class DefaultHttpResponseWriter

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.AbstractMessageWriter<ClassicHttpResponse>
  - - org.apache.hc.core5.http.impl.io.DefaultHttpResponseWriter

- All Implemented Interfaces:
    HttpMessageWriter<ClassicHttpResponse>

      public class DefaultHttpResponseWriter
      extends AbstractMessageWriter<ClassicHttpResponse>

  HTTP response writer that serializes its output to an instance of `SessionOutputBuffer`.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseWriter()`
    `DefaultHttpResponseWriter(LineFormatter formatter)` Creates an instance of DefaultHttpResponseWriter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeHeadLine(ClassicHttpResponse message, CharArrayBuffer lineBuf)` Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.

    - ### Methods inherited from class org.apache.hc.core5.http.impl.io.AbstractMessageWriter

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpResponseWriter

          public DefaultHttpResponseWriter(LineFormatter formatter)

      Creates an instance of DefaultHttpResponseWriter.
      Parameters:
        `formatter` - the line formatter If `null` `BasicLineFormatter.INSTANCE` will be used.

    - #### DefaultHttpResponseWriter

          public DefaultHttpResponseWriter()

  - ### Method Detail

    - #### writeHeadLine

          protected void writeHeadLine(ClassicHttpResponse message,
                           CharArrayBuffer lineBuf)
                                throws IOException

      Description copied from class: `AbstractMessageWriter`
      Subclasses must override this method to write out the first header line based on the `HttpMessage` passed as a parameter.
      Specified by:
        `writeHeadLine` in class `AbstractMessageWriter<ClassicHttpResponse>`
      Parameters:
        `message` - the message whose first line is to be written out.
        `lineBuf` - line buffer
      Throws:
        `IOException` - in case of an I/O error.

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.